<?php
/* -----------------------------------------------------------------------------
  Plugin     : EStat
  Author     : Grum
    email    : grum@piwigo.org
    website  : http://photos.grum.fr

    << May the Little SpaceFrog be with you ! >>
  ------------------------------------------------------------------------------
  See main.inc.php for release information

  --------------------------------------------------------------------------- */

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }

include_once('estat_version.inc.php'); // => Don't forget to update this file !!


if(!defined('ESTAT_DIR')) define('ESTAT_DIR' , basename(dirname(__FILE__)));
if(!defined('ESTAT_PATH')) define('ESTAT_PATH' , PHPWG_PLUGINS_PATH . ESTAT_DIR . '/');
if(!defined('ESTAT_LIB')) define('ESTAT_LIB' , ESTAT_PATH.'lib/');

//ini_set('error_reporting', E_ALL);
//ini_set('display_errors', true);

global $gpcInstalled, $lang; //needed for plugin manager compatibility

/* -----------------------------------------------------------------------------
EStat needs the Grum Plugin Classes
----------------------------------------------------------------------------- */
$gpcInstalled=false;
if(file_exists(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php'))
{
  @include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
  // need GPC release greater or equal than ...
  if(CommonPlugin::checkGPCRelease(ESTAT_GPC_NEEDED))
  {
    include_once('estat_install.class.inc.php');
    $gpcInstalled=true;
  }
}

function gpcMsgError(&$errors, $errorMessage)
{
  switch($errorMessage)
  {
    case 'gpc':
      $msg=sprintf(l10n('To install this plugin, you need to install Grum Plugin Classes %s before'), ESTAT_GPC_NEEDED);
      break;
  }

  if(is_array($errors))
  {
    array_push($errors, $msg);
  }
  else
  {
    $errors=Array($msg);
  }
}
// -----------------------------------------------------------------------------




load_language('plugin.lang', ESTAT_PATH);


function plugin_install($plugin_id, $plugin_version, &$errors)
{
  global $prefixeTable, $gpcInstalled;
  if(!$gpcInstalled)
  {
    gpcMsgError($errors, 'gpc');
    return(false);
  }

  $estat=new EStat_Install($prefixeTable, __FILE__);
  $result=$estat->install();
}

function plugin_activate($plugin_id, $plugin_version, &$errors)
{
  global $prefixeTable, $gpcInstalled;
  if($gpcInstalled)
  {
    $estat = new EStat_Install($prefixeTable, __FILE__);
    $result=$estat->activate();
  }
}

function plugin_deactivate($plugin_id)
{
  global $prefixeTable, $gpcInstalled;

  if($gpcInstalled)
  {
    $estat=new EStat_Install($prefixeTable, __FILE__);
    $estat->deactivate();
  }

}

function plugin_uninstall($plugin_id)
{
  global $prefixeTable, $gpcInstalled;
  if($gpcInstalled)
  {
    $estat=new EStat_Install($prefixeTable, __FILE__);
    $result=$estat->uninstall();
  }
  else
  {
    gpcMsgError($errors, 'gpc');
  }
}


?>
